\begin{frame}{Github Action notifications}
    \begin{itemize}
        \item Default notifications: Emails
        \begin{itemize}
            \item Participants to commit receive (failed) pipeline status
            \item Cannot be parameterized, participants can enable/disable Notification in their account https://github.com/settings/notifications
            \item Scheduled workflow email is sent to the author of the cron line in the workflow file. \footnote[frame]{https://docs.github.com/en/actions/monitoring-and-troubleshooting-workflows/notifications-for-workflow-runs}
        \end{itemize}
 
    \item Custom Mail
    \begin{itemize}
        \item via action such as https://github.com/marketplace/actions/send-email (it requires to have access to an smtp server)
        \item note that there isn't clear method to send the email to commit authors
        \item Note that there isn't official action for sendind email
    \end{itemize}
    
     \item Extraneous notifications via Github actions
     \begin{itemize}
         \item Note that there isn't official action for sendind other kind of notifications even if there are some Action available
         
        
    \end{itemize}
    
    \end{itemize}
    
\end{frame}